import {Component, OnInit, OnDestroy, Input, EventEmitter, Output} from '@angular/core';
import { ActivatedRoute, Router } from '@angular/router';

@Component({
  selector: 'of-member-terms-container',
  templateUrl: './member-terms-container.component.html',
})
export class MemberTermsContainerComponent implements OnInit, OnDestroy {

  @Input()  termsDisplay;
  @Output() close = new EventEmitter();

  constructor(
    private activatedRoute: ActivatedRoute,
    private router: Router,
  ) {
  }


  ngOnInit() {

  }

  ngOnDestroy() {
  }

  onTermsClose() {
    this.termsDisplay = false;
  }
  onCancel() {
    this.close.emit();
  }
}
